Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 94758 - gnonlin-0.2.2 (New Ebuild)
Summary: gnonlin-0.2.2 (New Ebuild)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Other
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://gnonlin.sourceforge.net/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 75032
  Show dependency tree
 
Reported: 2005-06-01 11:12 UTC by Karol Szumski
Modified: 2008-12-06 05:41 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gnonlin-0.2.2.ebuild (gnonlin-0.2.2.ebuild,686 bytes, text/plain)
2005-06-01 11:17 UTC, Karol Szumski
Details
gnonlin-0.2.2.ebuild (gnonlin-0.2.2.ebuild,467 bytes, text/plain)
2005-08-20 11:32 UTC, Ed Catmur
Details
gnonlin-0.2.2.ebuild (gnonlin-0.2.2.ebuild,574 bytes, text/plain)
2005-11-15 06:31 UTC, Ed Catmur
Details
gnonlin-0.10.0.5.ebuild (gnonlin-0.10.0.5.ebuild,502 bytes, text/plain)
2006-02-08 11:29 UTC, Daniel Lin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Szumski 2005-06-01 11:12:20 UTC
Gnonlin is a library for creating non-linear video editors. It works together with the GStreamer multimedia framework.

i suggest media-libs/gnonlin

future releases of pitivi will depend on this library. (starting from the just-released pitivi-0.1.9.1 pre)
Comment 1 Karol Szumski 2005-06-01 11:17:56 UTC
Created attachment 60388 [details]
gnonlin-0.2.2.ebuild

can't really check if it's correct untill i can get pitivi-0.1.9.1 pre to merge
without it trying to meddle with the /root/.gstreamer/ directory ...
Comment 2 gorazd bizjak 2005-08-12 12:54:59 UTC
I am not able to compile it. On amd64 and x86 I get the same error.

-2.0.so /usr/lib64/libgthread-2.0.so /usr/lib64/libxml2.so -ldl -lpthread -lz
-lm /usr/lib64/libglib-2.0.so  -Wl,--rpath -Wl,/usr/lib64/gstreamer-0.8
creating gnonlin-scan
ACCESS DENIED  access_wr: /var/lib/cache/gstreamer-0.8
ACCESS DENIED  access_wr: /root/.gstreamer-0.8
if test "x../.." != "x../..";                   \
        then                                                            \
          export BUILT_OPTIONS="--source-dir=../../gnl";        \
        fi;                                                             \
gtkdoc-scan                                                     \
                                        \
        --module=gnonlin                                        \
        --source-dir=../../gnl                          \
        $BUILT_OPTIONS                                          \
        --ignore-headers=""
make[3]: *** Waiting for unfinished jobs....
touch scan-build.stamp
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory
`/var/tmp/portage/gnonlin-0.2.2/work/gnonlin-0.2.2/docs/libs'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnonlin-0.2.2/work/gnonlin-0.2.2/docs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnonlin-0.2.2/work/gnonlin-0.2.2'
make: *** [all] Error 2

!!! ERROR: media-libs/gnonlin-0.2.2 failed.
!!! Function src_compile, Line 27, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-media-libs_-_gnonlin-0.2.2-13229.log"

access_wr: /var/lib/cache/gstreamer-0.8
access_wr: /root/.gstreamer-0.8
--------------------------------------------------------------------------------
rasta gnonlin # 
Comment 3 gorazd bizjak 2005-08-13 03:38:42 UTC
gnonlin requires gstreamer-0.8.9
Comment 4 Ed Catmur 2005-08-20 11:32:24 UTC
Created attachment 66415 [details]
gnonlin-0.2.2.ebuild

Fix description, dependencies, use dodoc, set MAKEOPTS="-j1".

Can't replicate the sandbox vio, but I do have gstreamer 0.8.10 installed.
Comment 5 Ciaran McCreesh 2005-09-11 17:47:52 UTC
Please fix the following and reopen:

* http://dev.gentoo.org/~ciaranm/docs/mw-faq/license.txt
* The way to fix parallel make is with emake -j1
* http://dev.gentoo.org/~ciaranm/docs/mw-faq/einstall.txt
Comment 6 Ed Catmur 2005-11-15 06:31:32 UTC
Created attachment 72945 [details]
gnonlin-0.2.2.ebuild

OK, fixed.

Note I have changed LICENSE to GPL-2 - the package ships both LGPL-2.1 and
GPL-2 licenses but does not indicate which is to apply.
Comment 7 Ed Catmur 2005-11-15 06:33:41 UTC
Reporter, please reopen.
Comment 8 Daniel Lin 2006-02-08 11:29:20 UTC
Created attachment 79254 [details]
gnonlin-0.10.0.5.ebuild

gnonlin-0.10.0.5, using Gstreamer-0.10, needed for pitivi-0.9.9.2